import java.util.Scanner;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.FileOutputStream;

import java.util.HashMap;

class Join2
{
	private static HashMap<Integer,String> readStudentNames(String filename) throws FileNotFoundException{
		Scanner nameInputStream = new Scanner(new FileInputStream(filename));
		HashMap<Integer,String> namesHash = new HashMap<Integer,String>();
        while (nameInputStream.hasNextLine( ))
        {
            String line = nameInputStream.nextLine( );
			String[] fields = line.split("\t");
			Integer AM = Integer.parseInt(fields[0]);
			String name = fields[1];
			namesHash.put(AM,name);
		}
		nameInputStream.close( );
		return namesHash;
	}
	
	private static void joinAndWrite(HashMap<Integer,String> namesHash, String gradesFilename, String outputFilename) throws FileNotFoundException
	{
		Scanner gradesInputStream = new Scanner(new FileInputStream(gradesFilename));
		PrintWriter outputStream = new PrintWriter(new FileOutputStream(outputFilename));
		while (gradesInputStream.hasNextLine( ))
        {
            String line = gradesInputStream.nextLine( );
			String[] fields = line.split("\t");
			Integer AM = Integer.parseInt(fields[0]);
			String grade = fields[1];
			String name = namesHash.get(AM);
			outputStream.println(AM+"\t"+name+"\t"+grade);
		}		
		gradesInputStream.close();
        outputStream.close( );
		
	}
	
	public static void main(String[] args){
		HashMap<Integer,String> namesHash = null;
        try
        {
           namesHash = readStudentNames("studentNames.txt");
        }
        catch(FileNotFoundException e)
        {
           System.out.println("Problem opening student names file.");
           System.exit(0);
        }	

        try
        {
			joinAndWrite(namesHash, "studentGrades.txt", "studentNamesGrades.txt");
        }
        catch(FileNotFoundException e)
        {
           System.out.println("Problem opening files.");
           System.exit(0);
        }
	}
}